import http from "http";
import { APILoginFunctionReturn } from "../../../types";
type Param = {
    key?: string;
    token: string;
    database?: string;
    response?: http.ServerResponse;
    encryptionKey?: string;
    encryptionSalt?: string;
    additionalFields?: string[];
    additionalData?: {
        [s: string]: string | number;
    };
    apiUserID?: string | number;
    debug?: boolean;
    secureCookie?: boolean;
};
/**
 * # SERVER FUNCTION: Login with google Function
 */
export default function googleAuth({ key, token, database, response, encryptionKey, encryptionSalt, additionalFields, additionalData, apiUserID, debug, secureCookie, }: Param): Promise<APILoginFunctionReturn>;
export {};
