import { APILoginFunctionReturn } from "../../../../types";
type Param = {
    code?: string;
    clientId?: string;
    clientSecret?: string;
    database?: string;
    additionalFields?: string[];
    additionalData?: {
        [s: string]: string | number;
    };
    email?: string;
};
/**
 * # API Login with Github
 */
export default function apiGithubLogin({ code, clientId, clientSecret, database, additionalFields, email, additionalData, }: Param): Promise<APILoginFunctionReturn>;
export {};
