import { DSQL_DatabaseSchemaType, DSQL_TableSchemaType } from "../../types";
import { DSQL_DATASQUIREL_USER_DATABASE_TABLES, DSQL_DATASQUIREL_USER_DATABASES } from "../../types/dsql";
type Param = {
    userId?: number | string | null;
    tableSchema?: DSQL_TableSchemaType;
    dbSchema: DSQL_DatabaseSchemaType[];
    dbRecord?: DSQL_DATASQUIREL_USER_DATABASES;
    dbFullName: string;
};
/**
 * # Create database from Schema Function
 * @requires DSQL_DB_CONN - Gobal Variable for Datasquirel Database
 */
export default function checkTableRecordCreateDbSchema({ userId, tableSchema, dbSchema, dbRecord, dbFullName, }: Param): Promise<DSQL_DATASQUIREL_USER_DATABASE_TABLES | undefined>;
export {};
