import { IncomingMessage } from "http";
/**
 * Parse request cookies
 * ===================================================
 *
 * @description This function takes in a request object and
 * returns the cookies as a JS object
 */
export default function parseCookies({ request, cookieString, }: {
    request?: IncomingMessage & {
        [s: string]: any;
    };
    cookieString?: string;
}): {
    [s: string]: string;
};
