interface FunctionReturn {
    success: boolean;
    payload: {
        urlPath: string;
        urlThumbnailPath: string;
    } | null;
    msg?: string;
}
type Param = {
    key?: string;
    payload: {
        imageData: string;
        imageName: string;
        mimeType?: string;
        thumbnailSize?: number;
        folder?: string;
        isPrivate?: boolean;
    };
    user_id?: boolean;
};
/**
 * # Upload Image via API
 */
export default function uploadImage({ key, payload, user_id, }: Param): Promise<FunctionReturn>;
export {};
