import { DbContextsArray } from "../../backend/db/runQuery";
import { DSQL_DatabaseSchemaType, PostReturn } from "../../../types";
type Param = {
    query: any;
    queryValues?: (string | number)[];
    dbFullName: string;
    tableName?: string;
    dbSchema?: DSQL_DatabaseSchemaType;
    dbContext?: (typeof DbContextsArray)[number];
    forceLocal?: boolean;
};
/**
 * # Post Function For API
 */
export default function apiPost({ query, dbFullName, queryValues, tableName, dbSchema, dbContext, forceLocal, }: Param): Promise<PostReturn>;
export {};
