import http from "http";
import { SendOneTimeCodeEmailResponse } from "../../../types";
type Param = {
    email: string;
    database: string;
    email_login_field?: string;
    mail_domain?: string;
    mail_port?: number;
    sender?: string;
    mail_username?: string;
    mail_password?: string;
    html: string;
    response?: http.ServerResponse & {
        [s: string]: any;
    };
    extraCookies?: import("../../../../package-shared/types").CookieObject[];
};
/**
 * # Send Email Login Code
 */
export default function apiSendEmailCode({ email, database, email_login_field, mail_domain, mail_port, sender, mail_username, mail_password, html, response, extraCookies, }: Param): Promise<SendOneTimeCodeEmailResponse>;
export {};
